# Generated automatically from Makefile.in by configure.
# Makefile for rzip64. This is processed by configure to produce the final
# Makefile

prefix=/usr/local
exec_prefix=${prefix}
INSTALL_BIN=$(exec_prefix)/bin
INSTALL_MAN=$(prefix)/man

LIBS=-lbz2 
CC=gcc
CFLAGS=-g -O2

INSTALLCMD=/usr/bin/install -c

srcdir=.
SHELL=/bin/sh


.SUFFIXES:
.SUFFIXES: .c .o

OBJS= rzip64.o runzip.o main.o stream.o util.o crc32.o

# note that the -I. is needed to handle config.h when using VPATH
.c.o:
	$(CC) -I. -I$(srcdir) $(CFLAGS) -c $< -o $@

all: rzip64

man: rzip64.1 

install: all
	-mkdir -p ${INSTALL_BIN}
	${INSTALLCMD} -m 755 rzip64 ${INSTALL_BIN}
	-mkdir -p ${INSTALL_MAN}/man1
	${INSTALLCMD} -m 644 $(srcdir)/rzip64.1 ${INSTALL_MAN}/man1/

rzip64: $(OBJS)
	$(CC) $(CFLAGS) -o rzip64 $(OBJS) $(LIBS)

rzip64.1: rzip64.yo
	yodl2man -o rzip64.1 rzip64.yo

man/rzip64-man.html: rzip64.yo
	mkdir -p man
	yodl2html -o man/rzip64-man.html rzip64.yo

docs: rzip64.1 man/rzip64-man.html
	cp rzip64.1 man/rzip64.1

clean:
	rm -f *~ $(OBJS) rzip64 config.cache config.log config.status
